/*
 * Class BOUNDED [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2071 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2071 [] = {0xFF01,1551,2070,842,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2071 [] = {0xFF01,2070,842,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2071 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2071 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2071 [] = {0xFF01,2070,842,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2071 [] = {0xFF01,2070,842,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2071 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2071 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2071 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2071 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2071 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2071 [] = {2070,842,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2071 [] = {0xFF01,2070,842,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2071 [] = {0xFF01,2050,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2071 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2071[] = {
	{EIF_GENERIC(NULL), 9380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2071), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2071), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2071), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2071), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2071), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2071), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2071), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2071), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2071), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2071), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2071), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2071), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2071), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2071), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9227, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8664, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8666, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8667, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2071), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2071), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2071(void)
{
	IDSC(desc_2071, 0, 2070);
	IDSC(desc_2071 + 1, 1, 2070);
	IDSC(desc_2071 + 32, 1134, 2070);
	IDSC(desc_2071 + 41, 1395, 2070);
	IDSC(desc_2071 + 43, 878, 2070);
	IDSC(desc_2071 + 44, 554, 2070);
}


#ifdef __cplusplus
}
#endif
